Page MenuHomePhabricator

[X86][MC]: Adding test coverage of MC encoding for several small extensions.<NFC>
ClosedPublic

Authored by gadi.haber on Dec 19 2017, 4:55 AM.

Details

Summary

NFC.
Adding MC regressions tests to cover several small x86 extensions as follows:
CLWB, CLZERO, F16C, INVPCID, PKU, POPCNT, RTM, SGX, SHA, SVM, VMFUNC, VTX

This patch is part of a larger task to cover MC encoding of all X86 isa sets started in revision: https://reviews.llvm.org/D39952

Diff Detail

Repository
rL LLVM

Event Timeline

gadi.haber created this revision.Dec 19 2017, 4:55 AM
gadi.haber retitled this revision from [X86][NC]: Adding test coverage of MC encoding for several small extensions.<NFC> to [X86][MC]: Adding test coverage of MC encoding for several small extensions.<NFC>.

fixed a typo in SHA-64.s tests

craig.topper added inline comments.Dec 19 2017, 9:23 AM
test/MC/X86/POPCNT-64.s
5 ↗(On Diff #127511)

What about popcntw and popcntq?

What happened to clzero-32.s etc?

fixed comments found by Simon

gadi.haber marked an inline comment as done.Dec 20 2017, 9:58 AM

Isn't POPCNT missing the memory fold tests?

good catch. I will add the mem ops for popcnt.

Added mem ops tests for POPCNT 32 and 64 bit

Added mem ops tests for POPCNT 32 and 64 bit

Thanks - would it be possible to test all the various MRM permutations like you have for other memory folds?

gadi.haber updated this revision to Diff 132840.Feb 5 2018, 8:56 AM

Added more MRM tests in POPCNT-32.s and POPCNT-64.s following Simon's comment.

gadi.haber updated this revision to Diff 132847.Feb 5 2018, 9:07 AM

Sorry. Updated diff as the added MRM tests in POPCNT-*.s were not reflected in the previous diff file.

This revision is now accepted and ready to land.Feb 7 2018, 10:17 AM
This revision was automatically updated to reflect the committed changes.